(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     19533,        679]
NotebookOptionsPosition[     15833,        542]
NotebookOutlinePosition[     16269,        559]
CellTagsIndexPosition[     16226,        556]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["1.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["ModelBuilding", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["ModelBuilding`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["ModelBuilding/ref/MBgetMajoranaMassMatrix", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBgetMajoranaMassMatrix", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBgetMajoranaMassMatrix", "[", 
   RowBox[{
   "Group", ",", "Fermion", ",", "Flavon", ",", "Order", ",", "M", ",", "Y"}],
    "]"}]], "InlineFormula"],
 " \[LineSeparator]MBgetMajoranaMassMatrix generates the Majorana mass matrix \
",
 Cell[BoxData[
  SubscriptBox["m", "ij"]], "InlineFormula",
  FormatType->"StandardForm"],
 " ",
 Cell[BoxData[
  SubscriptBox["F", "i"]], "InlineFormula",
  FormatType->"StandardForm"],
 " ",
 Cell[BoxData[
  SubscriptBox["F", "j"]], "InlineFormula",
  FormatType->"StandardForm"],
 " of with the fields Fermion ",
 Cell[BoxData[
  SubscriptBox["F", "i"]], "InlineFormula",
  FormatType->"StandardForm"],
 " up to order Order (default: 1) in the flavons Flavon with direct mass term \
M and Yukawa couplings starting with Y. The flavons are given as a list of \
representations, while Fermion is an ordered list of representations."
}], "Usage",
 CellChangeTimes->{{3.526865615428376*^9, 3.5268656406855927`*^9}, {
  3.5268660598687887`*^9, 3.526866075134899*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526851363185132*^9, 3.526851388451866*^9}, {
  3.526941519478486*^9, 3.5269415265909643`*^9}},
 CellLabel->"In[1]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5268514020126867`*^9, 3.526851403516307*^9}},
 CellLabel->"In[2]:=",
 CellID->2070045828],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
   3.526853175892934*^9, 3.526853198773362*^9}, {3.526855612008503*^9, 
   3.526855636580934*^9}, 3.526865748809461*^9, 3.527196537093809*^9},
 CellLabel->"During evaluation of In[2]:=",
 CellID->1382060333],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
   3.526853175892934*^9, 3.526853198773362*^9}, {3.526855612008503*^9, 
   3.526855636580934*^9}, 3.526865748809461*^9, 3.52719653813144*^9},
 CellLabel->"During evaluation of In[2]:=",
 CellID->980933626],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
   3.526853175892934*^9, 3.526853198773362*^9}, {3.526855612008503*^9, 
   3.526855636580934*^9}, 3.526865748809461*^9, 3.527196538169538*^9},
 CellLabel->"During evaluation of In[2]:=",
 CellID->677263327],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
   3.526853175892934*^9, 3.526853198773362*^9}, {3.526855612008503*^9, 
   3.526855636580934*^9}, 3.526865748809461*^9, 3.527196538172832*^9},
 CellLabel->"During evaluation of In[2]:=",
 CellID->451574318],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
   3.526853175892934*^9, 3.526853198773362*^9}, {3.526855612008503*^9, 
   3.526855636580934*^9}, 3.526865748809461*^9, 3.527196538174841*^9},
 CellLabel->"During evaluation of In[2]:=",
 CellID->1733331905],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
   3.526853175892934*^9, 3.526853198773362*^9}, {3.526855612008503*^9, 
   3.526855636580934*^9}, 3.526865748809461*^9, 3.527196538177429*^9},
 CellLabel->"During evaluation of In[2]:=",
 CellID->1103495090],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5268514072072277`*^9, 3.526851425679223*^9}, {
   3.526853175892934*^9, 3.526853198773362*^9}, {3.526855612008503*^9, 
   3.526855636580934*^9}, 3.526865748809461*^9, 3.527196538180676*^9},
 CellLabel->"During evaluation of In[2]:=",
 CellID->257101774]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Chi]", "=", 
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"A4", ",", "4", ",", "\[Chi]c"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5268657924560547`*^9, 3.5268657928316517`*^9}},
 CellLabel->"In[3]:=",
 CellID->245347913],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\[Chi]c1", ",", "\[Chi]c2", ",", "\[Chi]c3"}], "}"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.526865787002599*^9, 3.526865793289*^9}, 
   3.527196538496355*^9},
 CellLabel->"Out[3]=",
 CellID->1673940458]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"$Assumptions", "=", 
  RowBox[{
   RowBox[{"Variables", "[", "\[Chi]", "]"}], "\[Element]", " ", 
   "Reals"}]}]], "Input",
 CellChangeTimes->{{3.52719501829741*^9, 3.527195027709611*^9}},
 CellLabel->"In[4]:=",
 CellID->1098323210],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"\[Chi]c1", "|", "\[Chi]c2", "|", "\[Chi]c3"}], ")"}], 
  "\[Element]", "Reals"}]], "Output",
 CellChangeTimes->{3.5271950282644672`*^9, 3.527195153739346*^9, 
  3.5271962457863407`*^9, 3.527196538557612*^9},
 CellLabel->"Out[4]=",
 CellID->2117468095]
}, Open  ]],

Cell["\<\
The complex conjugate representations are not automatically used.\
\>", "ExampleText",
 CellChangeTimes->{{3.52719630207075*^9, 3.527196324661016*^9}},
 CellID->1627589786],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MBgetMajoranaMassMatrix", "[", 
   RowBox[{"A4", ",", 
    RowBox[{"{", "4", "}"}], ",", "\[Chi]", ",", "1", ",", "m", ",", "y"}], 
   "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.526865772817893*^9, 3.526865773490086*^9}},
 CellLabel->"In[5]:=",
 CellID->299407094],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "imn1"}], "+", "rmn1"}], ")"}]}], 
       SqrtBox["3"]], 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "iy1n1"}], "+", "ry1n1"}], ")"}], " ",
         "\[Chi]c3"}], 
       SqrtBox["3"]], 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "iy1n1"}], "+", "ry1n1"}], ")"}], " ",
         "\[Chi]c2"}], 
       SqrtBox["3"]]},
     {
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "iy1n1"}], "+", "ry1n1"}], ")"}], " ",
         "\[Chi]c3"}], 
       SqrtBox["3"]], 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "imn1"}], "+", "rmn1"}], ")"}]}], 
       SqrtBox["3"]], 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "iy1n1"}], "+", "ry1n1"}], ")"}], " ",
         "\[Chi]c1"}], 
       SqrtBox["3"]]},
     {
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "iy1n1"}], "+", "ry1n1"}], ")"}], " ",
         "\[Chi]c2"}], 
       SqrtBox["3"]], 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "iy1n1"}], "+", "ry1n1"}], ")"}], " ",
         "\[Chi]c1"}], 
       SqrtBox["3"]], 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "imn1"}], "+", "rmn1"}], ")"}]}], 
       SqrtBox["3"]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5268657951535*^9, 3.527196539195505*^9},
 CellLabel->"Out[5]//MatrixForm=",
 CellID->2027969813]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["$Assumptions"], "Input",
 CellChangeTimes->{{3.527195177333959*^9, 3.527195179021117*^9}},
 CellLabel->"In[6]:=",
 CellID->1145742942],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"\[Chi]c1", "|", "\[Chi]c2", "|", "\[Chi]c3"}], ")"}], 
   "\[Element]", "Reals"}], "&&", 
  RowBox[{"rmn1", "\[Element]", "Reals"}], "&&", 
  RowBox[{"imn1", "\[Element]", "Reals"}], "&&", 
  RowBox[{"ry1n1", "\[Element]", "Reals"}], "&&", 
  RowBox[{"iy1n1", "\[Element]", "Reals"}]}]], "Output",
 CellChangeTimes->{3.527195179473864*^9, 3.527196246439755*^9, 
  3.527196539282099*^9},
 CellLabel->"Out[6]=",
 CellID->661389227]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->1155968248],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526851147922578*^9, 3.526851220016498*^9}},
 CellID->1295640488]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[ButtonBox["MBgetMassMatrix",
 BaseStyle->"Hyperlink",
 ButtonData->{"MBgetMassMatrix.nb", None}]], "SeeAlso",
 CellChangeTimes->{{3.526865707910329*^9, 3.526865712949827*^9}, {
  3.526865858655827*^9, 3.526865858656398*^9}},
 CellID->929782353]
}, Open  ]]
},
WindowSize->{700, 770},
WindowMargins->{{-5, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 86, 2, 70, "Categorization",
 CellID->605800465],
Cell[1149, 49, 83, 2, 70, "Categorization",
 CellID->468444828],
Cell[1235, 53, 86, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1358, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1416, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1498, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1566, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1663, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1748, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1832, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1951, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[2007, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2073, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2145, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2212, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2284, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2348, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2412, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2478, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2559, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2663, 132, 66, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2732, 135, 1088, 30, 126, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3857, 170, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[4216, 183, 274, 7, 26, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[4515, 194, 251, 7, 26, "Input",
 CellID->2070045828],
Cell[CellGroupData[{
Cell[4791, 205, 359, 6, 21, "Print",
 CellID->1382060333],
Cell[5153, 213, 320, 5, 21, "Print",
 CellID->980933626],
Cell[5476, 220, 517, 10, 60, "Print",
 CellID->677263327],
Cell[5996, 232, 488, 10, 41, "Print",
 CellID->451574318],
Cell[6487, 244, 495, 10, 41, "Print",
 CellID->1733331905],
Cell[6985, 256, 1102, 26, 76, "Print",
 CellID->1103495090],
Cell[8090, 284, 1925, 47, 140, "Print",
 CellID->257101774]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10064, 337, 249, 6, 26, "Input",
 CellID->245347913],
Cell[10316, 345, 392, 13, 25, "Output",
 CellID->1673940458]
}, Open  ]],
Cell[CellGroupData[{
Cell[10745, 363, 256, 7, 26, "Input",
 CellID->1098323210],
Cell[11004, 372, 303, 8, 28, "Output",
 CellID->2117468095]
}, Open  ]],
Cell[11322, 383, 182, 4, 21, "ExampleText",
 CellID->1627589786],
Cell[CellGroupData[{
Cell[11529, 391, 317, 8, 26, "Input",
 CellID->299407094],
Cell[11849, 401, 2445, 81, 91, "Output",
 CellID->2027969813]
}, Open  ]],
Cell[CellGroupData[{
Cell[14331, 487, 148, 3, 26, "Input",
 CellID->1145742942],
Cell[14482, 492, 494, 13, 47, "Output",
 CellID->661389227]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15025, 511, 58, 1, 43, "TutorialsSection",
 CellID->1155968248],
Cell[15086, 514, 378, 12, 16, "Tutorials",
 CellID->1295640488]
}, Open  ]],
Cell[CellGroupData[{
Cell[15501, 531, 55, 1, 30, "SeeAlsoSection",
 CellID->1255426704],
Cell[15559, 534, 258, 5, 16, "SeeAlso",
 CellID->929782353]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
