(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     11255,        377]
NotebookOptionsPosition[      9557,        310]
NotebookOutlinePosition[      9969,        326]
CellTagsIndexPosition[      9926,        323]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["A", "4"], " "}], TraditionalForm]], "InlineMath",
  FormatType->"TraditionalForm"],
 "Example given in accompanying paper"
}], "Title",
 CellChangeTimes->{{3.527369805313257*^9, 3.52736983760745*^9}},
 CellID->509267359],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52736987778185*^9, 3.52736992406411*^9}},
 CellLabel->"In[0]:=",
 CellID->204643585],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52736987778185*^9, 3.5273698994044*^9}, {
  3.5273699349962378`*^9, 3.5273699528182507`*^9}},
 CellLabel->"In[1]:=",
 CellID->797023117],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellChangeTimes->{3.5273699618798923`*^9, 3.527370129229702*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->254364061],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{3.5273699618798923`*^9, 3.527370130339572*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->961416076],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5273699618798923`*^9, 3.527370130408874*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->329392361],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5273699618798923`*^9, 3.527370130411333*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1893582115],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5273699618798923`*^9, 3.527370130413733*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->187666644],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5273699618798923`*^9, 3.527370130416757*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->396143760],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5273699618798923`*^9, 3.527370130420787*^9},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1167010227]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"phi", "=", 
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"A4", ",", "4", ",", "p"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"$Assumptions", "=", 
  RowBox[{
   RowBox[{"Variables", "[", "phi", "]"}], "\[Element]", " ", 
   "Reals"}]}]}], "Input",
 CellChangeTimes->{{3.527369988762014*^9, 3.527370041310961*^9}},
 CellLabel->"In[2]:=",
 CellID->631478188],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.527370013048965*^9, 3.527370042509997*^9}, 
   3.527370130719206*^9},
 CellLabel->"Out[2]=",
 CellID->874668016],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"p1", "|", "p2", "|", "p3"}], ")"}], "\[Element]", 
  "Reals"}]], "Output",
 CellChangeTimes->{{3.527370013048965*^9, 3.527370042509997*^9}, 
   3.527370130745975*^9},
 CellLabel->"Out[3]=",
 CellID->62070605]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"V", "=", 
  RowBox[{"MBgetFlavonPotential", "[", 
   RowBox[{"A4", ",", "phi", ",", "4", ",", "h"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.527369988762014*^9, 3.527370007881894*^9}, {
  3.527370049502117*^9, 3.52737008190654*^9}},
 CellLabel->"In[4]:=",
 CellID->1461097889],

Cell[CellGroupData[{

Cell[BoxData["2"], "Print",
 CellChangeTimes->{
  3.527370073214053*^9, {3.527370110244113*^9, 3.527370130829756*^9}},
 CellLabel->"During evaluation of In[4]:=",
 CellID->415324566],

Cell[BoxData["3"], "Print",
 CellChangeTimes->{
  3.527370073214053*^9, {3.527370110244113*^9, 3.527370131269122*^9}},
 CellLabel->"During evaluation of In[4]:=",
 CellID->2144277415],

Cell[BoxData["4"], "Print",
 CellChangeTimes->{
  3.527370073214053*^9, {3.527370110244113*^9, 3.527370131657959*^9}},
 CellLabel->"During evaluation of In[4]:=",
 CellID->1022309087]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"h3n1", " ", "p1", " ", "p2", " ", "p3"}], "+", 
  FractionBox[
   RowBox[{"h2n1", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["p1", "2"], "+", 
      SuperscriptBox["p2", "2"], "+", 
      SuperscriptBox["p3", "2"]}], ")"}]}], 
   SqrtBox["3"]], "+", 
  RowBox[{
   FractionBox["1", "3"], " ", "h4n2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["p1", "2"], "+", 
      SuperscriptBox["p2", "2"], "+", 
      SuperscriptBox["p3", "2"]}], ")"}], "2"]}], "+", 
  RowBox[{
   FractionBox["1", "3"], " ", "h4n1", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["p1", "4"], "+", 
     SuperscriptBox["p2", "4"], "-", 
     RowBox[{
      SuperscriptBox["p2", "2"], " ", 
      SuperscriptBox["p3", "2"]}], "+", 
     SuperscriptBox["p3", "4"], "-", 
     RowBox[{
      SuperscriptBox["p1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["p2", "2"], "+", 
        SuperscriptBox["p3", "2"]}], ")"}]}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{"h4n3", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["p2", "2"], " ", 
       SuperscriptBox["p3", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["p1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["p2", "2"], "+", 
         SuperscriptBox["p3", "2"]}], ")"}]}]}], ")"}]}], 
   SqrtBox["3"]]}]], "Output",
 CellChangeTimes->{
  3.5273700740887623`*^9, {3.527370110832705*^9, 3.527370132330236*^9}},
 CellLabel->"Out[4]=",
 CellID->1994410866]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Tutorials", "RelatedTutorialsSection",
 CellID->415694126],

Cell[TextData[ButtonBox["Tutorial",
 BaseStyle->"Hyperlink",
 ButtonData->{"Tutorial A4.nb", None}]], "RelatedTutorials",
 CellChangeTimes->{{3.527369850762268*^9, 3.5273698653494473`*^9}},
 CellID->806871991]
}, Open  ]]
}, Open  ]]
},
WindowSize->{700, 770},
WindowMargins->{{-4, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "TutorialPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 292, 9, 107, "Title",
 CellID->509267359],
Cell[874, 33, 221, 6, 26, "Input",
 CellID->204643585],
Cell[CellGroupData[{
Cell[1120, 43, 298, 8, 26, "Input",
 CellID->797023117],
Cell[CellGroupData[{
Cell[1443, 55, 212, 4, 21, "Print",
 CellID->254364061],
Cell[1658, 61, 175, 3, 21, "Print",
 CellID->961416076],
Cell[1836, 66, 371, 8, 60, "Print",
 CellID->329392361],
Cell[2210, 76, 343, 8, 41, "Print",
 CellID->1893582115],
Cell[2556, 86, 348, 8, 41, "Print",
 CellID->187666644],
Cell[2907, 96, 955, 24, 76, "Print",
 CellID->396143760],
Cell[3865, 122, 1780, 45, 140, "Print",
 CellID->1167010227]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5694, 173, 383, 10, 46, "Input",
 CellID->631478188],
Cell[6080, 185, 373, 12, 25, "Output",
 CellID->874668016],
Cell[6456, 199, 260, 8, 28, "Output",
 CellID->62070605]
}, Open  ]],
Cell[CellGroupData[{
Cell[6753, 212, 301, 7, 26, "Input",
 CellID->1461097889],
Cell[CellGroupData[{
Cell[7079, 223, 182, 4, 21, "Print",
 CellID->415324566],
Cell[7264, 229, 183, 4, 21, "Print",
 CellID->2144277415],
Cell[7450, 235, 183, 4, 21, "Print",
 CellID->1022309087]
}, Open  ]],
Cell[7648, 242, 1560, 52, 138, "Output",
 CellID->1994410866]
}, Open  ]],
Cell[CellGroupData[{
Cell[9245, 299, 72, 1, 72, "RelatedTutorialsSection",
 CellID->415694126],
Cell[9320, 302, 209, 4, 22, "RelatedTutorials",
 CellID->806871991]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

